Skip to content

Tasks

CompozyOS Tasks HTTP endpoints.

For people running agent work32 pages in this section
POST
/api/agent/tasks/claim-next

Header Parameters

X-Compozy-Session-ID*string

Daemon-issued active session id

X-Compozy-Agent*string

Daemon-issued session agent name

Request Body

JSON request body

application/json
  1. body
idempotency_key?string
lease_seconds?integer
Formatint64
priority_min?integer
required_capabilities?array<string>
run_id?string
wait?boolean
workspace_id?string

Response Body

OK

application/json
  1. response
claim*
curl -X POST "https://example.com/api/agent/tasks/claim-next" \  -H "X-Compozy-Session-ID: string" \  -H "X-Compozy-Agent: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "claim": {    "lease": {      "claim_token_hash": "string",      "claimed_by": {        "kind": "human",        "ref": "string"      },      "heartbeat_at": "2019-08-24T14:15:22Z",      "lease_until": "2019-08-24T14:15:22Z",      "run_id": "string",      "session_id": "string",      "status": "queued",      "task_id": "string"    },    "run": {      "attempt": 0,      "claim_token_hash": "string",      "claimed_at": "2019-08-24T14:15:22Z",      "claimed_by": {        "kind": "human",        "ref": "string"      },      "designation": {        "brief": "string",        "index": 0      },      "designation_group_id": "string",      "ended_at": "2019-08-24T14:15:22Z",      "error": "string",      "failure_kind": "string",      "heartbeat_at": "2019-08-24T14:15:22Z",      "id": "string",      "idempotency_key": "string",      "lease_until": "2019-08-24T14:15:22Z",      "metadata": null,      "origin": {        "kind": "cli",        "ref": "string"      },      "previous_run_id": "string",      "profile_color": "string",      "profile_icon": "string",      "profile_id": "string",      "profile_name": "string",      "queued_at": "2019-08-24T14:15:22Z",      "recovery_count": 0,      "resolved_worktree_mode": "none",      "resolved_worktree_ref": "string",      "result": null,      "result_bytes": 0,      "result_ref": "string",      "session_id": "string",      "started_at": "2019-08-24T14:15:22Z",      "status": "queued",      "task_id": "string",      "worktree_id": "string"    },    "task": {      "effective_paused": true,      "id": "string",      "identifier": "string",      "latest_event_seq": 0,      "owner": {        "kind": "human",        "ref": "string"      },      "paused": true,      "paused_by_task_id": "string",      "priority": "low",      "scope": "global",      "status": "draft",      "title": "string",      "workspace_id": "string"    }  }}
POST
/api/agent/tasks/{run_id}/complete

Path Parameters

run_id*string

Task run id

Header Parameters

X-Compozy-Session-ID*string

Daemon-issued active session id

X-Compozy-Agent*string

Daemon-issued session agent name

Request Body

JSON request body

application/json
  1. body
created_task_ids?array<string>
result?unknown

Response Body

OK

application/json
  1. response
lease*
curl -X POST "https://example.com/api/agent/tasks/string/complete" \  -H "X-Compozy-Session-ID: string" \  -H "X-Compozy-Agent: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "lease": {    "claim_token_hash": "string",    "claimed_by": {      "kind": "human",      "ref": "string"    },    "heartbeat_at": "2019-08-24T14:15:22Z",    "lease_until": "2019-08-24T14:15:22Z",    "run_id": "string",    "session_id": "string",    "status": "queued",    "task_id": "string"  }}
POST
/api/agent/tasks/{run_id}/fail

Path Parameters

run_id*string

Task run id

Header Parameters

X-Compozy-Session-ID*string

Daemon-issued active session id

X-Compozy-Agent*string

Daemon-issued session agent name

Request Body

JSON request body

application/json
  1. body
error*string
metadata?unknown

Response Body

OK

application/json
  1. response
lease*
curl -X POST "https://example.com/api/agent/tasks/string/fail" \  -H "X-Compozy-Session-ID: string" \  -H "X-Compozy-Agent: string" \  -H "Content-Type: application/json" \  -d '{    "error": "string"  }'
{  "lease": {    "claim_token_hash": "string",    "claimed_by": {      "kind": "human",      "ref": "string"    },    "heartbeat_at": "2019-08-24T14:15:22Z",    "lease_until": "2019-08-24T14:15:22Z",    "run_id": "string",    "session_id": "string",    "status": "queued",    "task_id": "string"  }}
POST
/api/agent/tasks/{run_id}/heartbeat

Path Parameters

run_id*string

Task run id

Header Parameters

X-Compozy-Session-ID*string

Daemon-issued active session id

X-Compozy-Agent*string

Daemon-issued session agent name

Request Body

JSON request body

application/json
  1. body
lease_seconds?integer
Formatint64

Response Body

OK

application/json
  1. response
lease*
curl -X POST "https://example.com/api/agent/tasks/string/heartbeat" \  -H "X-Compozy-Session-ID: string" \  -H "X-Compozy-Agent: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "lease": {    "claim_token_hash": "string",    "claimed_by": {      "kind": "human",      "ref": "string"    },    "heartbeat_at": "2019-08-24T14:15:22Z",    "lease_until": "2019-08-24T14:15:22Z",    "run_id": "string",    "session_id": "string",    "status": "queued",    "task_id": "string"  }}
POST
/api/agent/tasks/{run_id}/release

Path Parameters

run_id*string

Task run id

Header Parameters

X-Compozy-Session-ID*string

Daemon-issued active session id

X-Compozy-Agent*string

Daemon-issued session agent name

Request Body

JSON request body

application/json
  1. body
reason?string

Response Body

OK

application/json
  1. response
lease*
curl -X POST "https://example.com/api/agent/tasks/string/release" \  -H "X-Compozy-Session-ID: string" \  -H "X-Compozy-Agent: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "lease": {    "claim_token_hash": "string",    "claimed_by": {      "kind": "human",      "ref": "string"    },    "heartbeat_at": "2019-08-24T14:15:22Z",    "lease_until": "2019-08-24T14:15:22Z",    "run_id": "string",    "session_id": "string",    "status": "queued",    "task_id": "string"  }}
POST
/api/agent/tasks/{run_id}/start

Path Parameters

run_id*string

Task run id

Header Parameters

X-Compozy-Session-ID*string

Daemon-issued active session id

X-Compozy-Agent*string

Daemon-issued session agent name

Request Body

JSON request body

application/json
  1. body
idempotency_key?string

Response Body

OK

application/json
  1. response
run*
curl -X POST "https://example.com/api/agent/tasks/string/start" \  -H "X-Compozy-Session-ID: string" \  -H "X-Compozy-Agent: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "run": {    "attempt": 0,    "claim_token_hash": "string",    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": {      "kind": "human",      "ref": "string"    },    "designation": {      "brief": "string",      "index": 0    },    "designation_group_id": "string",    "ended_at": "2019-08-24T14:15:22Z",    "error": "string",    "failure_kind": "string",    "heartbeat_at": "2019-08-24T14:15:22Z",    "id": "string",    "idempotency_key": "string",    "lease_until": "2019-08-24T14:15:22Z",    "metadata": null,    "origin": {      "kind": "cli",      "ref": "string"    },    "previous_run_id": "string",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "queued_at": "2019-08-24T14:15:22Z",    "recovery_count": 0,    "resolved_worktree_mode": "none",    "resolved_worktree_ref": "string",    "result": null,    "result_bytes": 0,    "result_ref": "string",    "session_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "queued",    "task_id": "string",    "worktree_id": "string"  }}
GET
/api/observe/tasks/dashboard

Query Parameters

all_workspaces?boolean

Read every project and User within the profile lens; conflicts with workspace

workspace_ids?array<string>

Repeatable project IDs; @user selects User; requires all_workspaces=true

scope?string

Filter by task scope

Value in"global""workspace""user""@user"
workspace?string

Filter by workspace path, name, or ID

worktree?string

Filter by active run worktree ID

owner_kind?string

Filter by owner kind

Value in"human""agent_session""automation""extension""pool"
owner_ref?string

Filter by owner reference

origin_kind?string

Filter by task origin kind

Value in"cli""web""uds""http""automation""extension""agent_session""daemon"
profile?string

Read one profile's rows by name

all_profiles?boolean

Read the owner-labeled all-profiles aggregate

Response Body

OK

application/json
  1. response
dashboard*
curl -X GET "https://example.com/api/observe/tasks/dashboard"
{  "dashboard": {    "active_runs": {      "claimed": 0,      "items": [        {          "age_ms": 0,          "attempt": 0,          "error": "string",          "health_status": "string",          "last_activity_at": "2019-08-24T14:15:22Z",          "latest_event_seq": 0,          "max_attempts": 0,          "run_id": "string",          "run_status": "queued",          "scope": "global",          "session_id": "string",          "stuck": true,          "task_id": "string",          "task_identifier": "string",          "task_owner": {            "kind": "human",            "ref": "string"          },          "task_priority": "low",          "task_status": "draft",          "task_title": "string",          "workspace_id": "string"        }      ],      "queued": 0,      "running": 0,      "starting": 0,      "total": 0    },    "cards": {      "blocked": {        "awaiting_approval": 0,        "awaiting_dependencies": 0,        "health_status": "string",        "tasks": 0      },      "failed": {        "failed_runs": 0,        "forced_stops": 0,        "health_status": "string",        "tasks": 0      },      "in_progress": {        "active_runs": 0,        "claimed_runs": 0,        "health_status": "string",        "queued_runs": 0,        "running_runs": 0,        "starting_runs": 0,        "tasks": 0      },      "latency": {        "claim_latency_ms": {          "average_ms": 0,          "maximum_ms": 0,          "samples": 0        },        "start_latency_ms": {          "average_ms": 0,          "maximum_ms": 0,          "samples": 0        }      }    },    "freshness": {      "age_ms": 0,      "has_live_work": true,      "latest_activity_at": "2019-08-24T14:15:22Z",      "observed_at": "2019-08-24T14:15:22Z",      "stale": true,      "stale_after_ms": 0,      "status": "string"    },    "health": {      "active_orphan_runs": 0,      "queue_backlog": true,      "status": "string",      "stuck_runs": 0    },    "queue": {      "backlog_status": "string",      "backlog_threshold_ms": 0,      "backlog_warning": true,      "depth": [        {          "count": 0,          "oldest_queue_age_ms": 0,          "oldest_queued_at": "2019-08-24T14:15:22Z"        }      ],      "oldest_queue_age_ms": 0,      "oldest_queued_at": "2019-08-24T14:15:22Z",      "total": 0    },    "status_breakdown": [      {        "count": 0,        "share_percent": 0,        "status": "draft"      }    ],    "totals": {      "active_runs": 0,      "awaiting_approval_tasks": 0,      "blocked_tasks": 0,      "canceled_runs": 0,      "canceled_tasks": 0,      "claimed_runs": 0,      "completed_runs": 0,      "completed_tasks": 0,      "dependency_blocked_tasks": 0,      "draft_tasks": 0,      "failed_runs": 0,      "failed_tasks": 0,      "in_progress_tasks": 0,      "pending_tasks": 0,      "queued_runs": 0,      "ready_tasks": 0,      "running_runs": 0,      "runs_total": 0,      "starting_runs": 0,      "tasks_total": 0    }  }}
GET
/api/observe/tasks/inbox

Query Parameters

scope?string

Filter by task scope

Value in"global""workspace""user""@user"
workspace?string

Filter by workspace path, name, or ID

all_workspaces?boolean

Read all projects and User rows

workspace_ids?array<string>

Repeatable project IDs or @user; requires all_workspaces=true

worktree?string

Filter by active run worktree ID

owner_kind?string

Filter by owner kind

Value in"human""agent_session""automation""extension""pool"
owner_ref?string

Filter by owner reference

lane?string

Filter by inbox lane

Value in"my_work""approvals""failed_runs""blocked""archived"
status?string

Filter by canonical task status

Value in"draft""pending""blocked""needs_attention""ready""in_progress""completed""failed""canceled"
priority?string

Filter by task priority

Value in"low""medium""high""urgent"
unread?boolean

Filter by unread state; false selects read items

query?string

Filter by task title or identifier

cursor?string

Opaque actor- and query-bound continuation cursor

limit?integer

Page size from 1 to 200 (default 50)

Formatint32
profile?string

Read one profile's rows by name

all_profiles?boolean

Read the owner-labeled all-profiles aggregate

Response Body

OK

application/json
  1. response
inbox*
curl -X GET "https://example.com/api/observe/tasks/inbox"
{  "inbox": {    "archived_total": 0,    "facets": {      "priorities": [        {          "count": 0,          "priority": "low"        }      ],      "statuses": [        {          "count": 0,          "status": "draft"        }      ]    },    "groups": [      {        "count": 0,        "items": [          {            "approval_policy": "none",            "approval_state": "not_required",            "blocking_reason": "string",            "lane": "my_work",            "latest_activity_at": "2019-08-24T14:15:22Z",            "run": {              "attempt": 0,              "claimed_at": "2019-08-24T14:15:22Z",              "claimed_by": {                "kind": "human",                "ref": "string"              },              "ended_at": "2019-08-24T14:15:22Z",              "error": "string",              "failure_kind": "string",              "heartbeat_at": "2019-08-24T14:15:22Z",              "id": "string",              "lease_until": "2019-08-24T14:15:22Z",              "max_attempts": 0,              "previous_run_id": "string",              "queued_at": "2019-08-24T14:15:22Z",              "recovery_count": 0,              "resolved_worktree_mode": "none",              "resolved_worktree_ref": "string",              "session_id": "string",              "started_at": "2019-08-24T14:15:22Z",              "status": "queued",              "task_id": "string",              "worktree_id": "string"            },            "task": {              "id": "string",              "identifier": "string",              "latest_event_seq": 0,              "owner": {                "kind": "human",                "ref": "string"              },              "priority": "low",              "scope": "global",              "status": "draft",              "title": "string",              "workspace_id": "string"            },            "triage": {              "actor": {                "kind": "human",                "ref": "string"              },              "archived": true,              "dismissed": true,              "last_seen_activity_at": "2019-08-24T14:15:22Z",              "read": true,              "task_id": "string",              "updated_at": "2019-08-24T14:15:22Z"            }          }        ],        "lane": "my_work",        "unread_count": 0      }    ],    "page": {      "has_more": true,      "limit": 0,      "next_cursor": "string",      "total": 0    },    "unread_total": 0  }}
POST
/api/runs/bulk/fail

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
metadata?unknown
reason?string
run_ids*array<string>

Response Body

OK

application/json
  1. response
results*array<>
curl -X POST "https://example.com/api/runs/bulk/fail" \  -H "Content-Type: application/json" \  -d '{    "run_ids": [      "string"    ]  }'
{  "results": [    {      "error": {        "blockers": [          {            "id": "string",            "kind": "string",            "name": "string"          }        ],        "code": "string",        "config_path": "string",        "current_turn_id": "string",        "details": {          "property1": "string",          "property2": "string"        },        "diagnostic": {          "category": "string",          "code": "string",          "data_freshness": "string",          "doc_url": "string",          "evidence": {            "property1": null,            "property2": null          },          "id": "string",          "message": "string",          "severity": "string",          "suggested_command": "string",          "title": "string"        },        "error": "string",        "unknown_keys": [          "string"        ]      },      "ok": true,      "run": {        "attempt": 0,        "claim_token_hash": "string",        "claimed_at": "2019-08-24T14:15:22Z",        "claimed_by": {          "kind": "human",          "ref": "string"        },        "designation": {          "brief": "string",          "index": 0        },        "designation_group_id": "string",        "ended_at": "2019-08-24T14:15:22Z",        "error": "string",        "failure_kind": "string",        "heartbeat_at": "2019-08-24T14:15:22Z",        "id": "string",        "idempotency_key": "string",        "lease_until": "2019-08-24T14:15:22Z",        "metadata": null,        "origin": {          "kind": "cli",          "ref": "string"        },        "previous_run_id": "string",        "profile_color": "string",        "profile_icon": "string",        "profile_id": "string",        "profile_name": "string",        "queued_at": "2019-08-24T14:15:22Z",        "recovery_count": 0,        "resolved_worktree_mode": "none",        "resolved_worktree_ref": "string",        "result": null,        "result_bytes": 0,        "result_ref": "string",        "session_id": "string",        "started_at": "2019-08-24T14:15:22Z",        "status": "queued",        "task_id": "string",        "worktree_id": "string"      },      "run_id": "string"    }  ]}
POST
/api/runs/bulk/release

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
metadata?unknown
reason?string
run_ids*array<string>

Response Body

OK

application/json
  1. response
results*array<>
curl -X POST "https://example.com/api/runs/bulk/release" \  -H "Content-Type: application/json" \  -d '{    "run_ids": [      "string"    ]  }'
{  "results": [    {      "error": {        "blockers": [          {            "id": "string",            "kind": "string",            "name": "string"          }        ],        "code": "string",        "config_path": "string",        "current_turn_id": "string",        "details": {          "property1": "string",          "property2": "string"        },        "diagnostic": {          "category": "string",          "code": "string",          "data_freshness": "string",          "doc_url": "string",          "evidence": {            "property1": null,            "property2": null          },          "id": "string",          "message": "string",          "severity": "string",          "suggested_command": "string",          "title": "string"        },        "error": "string",        "unknown_keys": [          "string"        ]      },      "ok": true,      "run": {        "attempt": 0,        "claim_token_hash": "string",        "claimed_at": "2019-08-24T14:15:22Z",        "claimed_by": {          "kind": "human",          "ref": "string"        },        "designation": {          "brief": "string",          "index": 0        },        "designation_group_id": "string",        "ended_at": "2019-08-24T14:15:22Z",        "error": "string",        "failure_kind": "string",        "heartbeat_at": "2019-08-24T14:15:22Z",        "id": "string",        "idempotency_key": "string",        "lease_until": "2019-08-24T14:15:22Z",        "metadata": null,        "origin": {          "kind": "cli",          "ref": "string"        },        "previous_run_id": "string",        "profile_color": "string",        "profile_icon": "string",        "profile_id": "string",        "profile_name": "string",        "queued_at": "2019-08-24T14:15:22Z",        "recovery_count": 0,        "resolved_worktree_mode": "none",        "resolved_worktree_ref": "string",        "result": null,        "result_bytes": 0,        "result_ref": "string",        "session_id": "string",        "started_at": "2019-08-24T14:15:22Z",        "status": "queued",        "task_id": "string",        "worktree_id": "string"      },      "run_id": "string"    }  ]}
POST
/api/runs/{id}/fail

Path Parameters

id*string

Task run id

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
metadata?unknown
reason*string

Response Body

OK

application/json
  1. response
run*
curl -X POST "https://example.com/api/runs/string/fail" \  -H "Content-Type: application/json" \  -d '{    "reason": "string"  }'
{  "run": {    "attempt": 0,    "claim_token_hash": "string",    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": {      "kind": "human",      "ref": "string"    },    "designation": {      "brief": "string",      "index": 0    },    "designation_group_id": "string",    "ended_at": "2019-08-24T14:15:22Z",    "error": "string",    "failure_kind": "string",    "heartbeat_at": "2019-08-24T14:15:22Z",    "id": "string",    "idempotency_key": "string",    "lease_until": "2019-08-24T14:15:22Z",    "metadata": null,    "origin": {      "kind": "cli",      "ref": "string"    },    "previous_run_id": "string",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "queued_at": "2019-08-24T14:15:22Z",    "recovery_count": 0,    "resolved_worktree_mode": "none",    "resolved_worktree_ref": "string",    "result": null,    "result_bytes": 0,    "result_ref": "string",    "session_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "queued",    "task_id": "string",    "worktree_id": "string"  }}
GET
/api/runs/{id}/inspect

Path Parameters

id*string

Task run id

Query Parameters

profile?string

Read one profile's rows by name

all_profiles?boolean

Read the owner-labeled all-profiles aggregate

Response Body

OK

application/json
  1. response
inspect*
curl -X GET "https://example.com/api/runs/string/inspect"
{  "inspect": {    "as_of": "2019-08-24T14:15:22Z",    "bound_session": {      "agent_name": "string",      "failure_kind": "string",      "last_activity_at": "2019-08-24T14:15:22Z",      "provider_name": "string",      "session_id": "string",      "started_at": "2019-08-24T14:15:22Z",      "state": "string",      "stop_reason": "string",      "workspace_id": "string"    },    "current_run": {      "attempt": 0,      "bound_session_id": "string",      "claim_token_hash_truncated": "string",      "ended_at": "2019-08-24T14:15:22Z",      "failure_kind": "string",      "heartbeat_age_seconds": 0,      "heartbeat_at": "2019-08-24T14:15:22Z",      "last_error_summary": "string",      "lease_until": "2019-08-24T14:15:22Z",      "previous_run_id": "string",      "queued_at": "2019-08-24T14:15:22Z",      "retries": 0,      "run_id": "string",      "started_at": "2019-08-24T14:15:22Z",      "status": "queued",      "task_id": "string"    },    "diagnostics": [      {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      }    ],    "next_action": "string",    "recent_events": [      {        "id": "string",        "outcome": "string",        "run_id": "string",        "session_id": "string",        "summary": "string",        "task_id": "string",        "timestamp": "2019-08-24T14:15:22Z",        "type": "string"      }    ],    "recent_runs": [      {        "attempt": 0,        "bound_session_id": "string",        "claim_token_hash_truncated": "string",        "ended_at": "2019-08-24T14:15:22Z",        "failure_kind": "string",        "heartbeat_age_seconds": 0,        "heartbeat_at": "2019-08-24T14:15:22Z",        "last_error_summary": "string",        "lease_until": "2019-08-24T14:15:22Z",        "previous_run_id": "string",        "queued_at": "2019-08-24T14:15:22Z",        "retries": 0,        "run_id": "string",        "started_at": "2019-08-24T14:15:22Z",        "status": "queued",        "task_id": "string"      }    ],    "scheduler": {      "paused": true,      "paused_at": "2019-08-24T14:15:22Z",      "paused_by": "string",      "reason": "string",      "updated_at": "2019-08-24T14:15:22Z"    },    "target": "string",    "task": {      "active_run": {        "attempt": 0,        "claim_token_hash": "string",        "claimed_at": "2019-08-24T14:15:22Z",        "claimed_by": {          "kind": "human",          "ref": "string"        },        "designation": {          "brief": "string",          "index": 0        },        "designation_group_id": "string",        "ended_at": "2019-08-24T14:15:22Z",        "error": "string",        "failure_kind": "string",        "heartbeat_at": "2019-08-24T14:15:22Z",        "id": "string",        "lease_until": "2019-08-24T14:15:22Z",        "max_attempts": 0,        "previous_run_id": "string",        "queued_at": "2019-08-24T14:15:22Z",        "recovery_count": 0,        "resolved_worktree_mode": "none",        "resolved_worktree_ref": "string",        "session_id": "string",        "started_at": "2019-08-24T14:15:22Z",        "status": "queued",        "task_id": "string",        "worktree_id": "string"      },      "approval_policy": "none",      "approval_state": "not_required",      "auto_enqueue_on_ready": true,      "blocked_reasons": [        {          "block_id": "string",          "depends_on_task_ids": [            "string"          ],          "kind": "needs_input",          "reason": "string",          "source": "dependency"        }      ],      "child_count": 0,      "closed_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "created_by": {        "kind": "human",        "ref": "string"      },      "current_run_id": "string",      "dependencies": [        {          "created_at": "2019-08-24T14:15:22Z",          "depends_on": {            "effective_paused": true,            "id": "string",            "identifier": "string",            "latest_event_seq": 0,            "owner": {              "kind": "human",              "ref": "string"            },            "paused": true,            "paused_by_task_id": "string",            "priority": "low",            "scope": "global",            "status": "draft",            "title": "string",            "workspace_id": "string"          },          "depends_on_task_id": "string",          "kind": "blocks",          "task_id": "string"        }      ],      "dependency_count": 0,      "draft": true,      "effective_paused": true,      "id": "string",      "identifier": "string",      "last_activity_at": "2019-08-24T14:15:22Z",      "latest_event_seq": 0,      "max_attempts": 0,      "needs_attention": true,      "needs_attention_at": "2019-08-24T14:15:22Z",      "needs_attention_by": {        "kind": "human",        "ref": "string"      },      "needs_attention_reason": "string",      "origin": {        "kind": "cli",        "ref": "string"      },      "owner": {        "kind": "human",        "ref": "string"      },      "parent_task_id": "string",      "paused": true,      "paused_at": "2019-08-24T14:15:22Z",      "paused_by": "string",      "paused_by_task_id": "string",      "paused_reason": "string",      "priority": "low",      "profile_color": "string",      "profile_icon": "string",      "profile_id": "string",      "profile_name": "string",      "scope": "global",      "status": "draft",      "title": "string",      "updated_at": "2019-08-24T14:15:22Z",      "wake_creator": true,      "workspace_id": "string"    }  }}
POST
/api/runs/{id}/recover

Path Parameters

id*string

Task run id

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
metadata?unknown
reason?string

Response Body

Created

application/json
  1. response
previous_run*
run*
curl -X POST "https://example.com/api/runs/string/recover" \  -H "Content-Type: application/json" \  -d '{}'
{  "previous_run": {    "attempt": 0,    "claim_token_hash": "string",    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": {      "kind": "human",      "ref": "string"    },    "designation": {      "brief": "string",      "index": 0    },    "designation_group_id": "string",    "ended_at": "2019-08-24T14:15:22Z",    "error": "string",    "failure_kind": "string",    "heartbeat_at": "2019-08-24T14:15:22Z",    "id": "string",    "idempotency_key": "string",    "lease_until": "2019-08-24T14:15:22Z",    "metadata": null,    "origin": {      "kind": "cli",      "ref": "string"    },    "previous_run_id": "string",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "queued_at": "2019-08-24T14:15:22Z",    "recovery_count": 0,    "resolved_worktree_mode": "none",    "resolved_worktree_ref": "string",    "result": null,    "result_bytes": 0,    "result_ref": "string",    "session_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "queued",    "task_id": "string",    "worktree_id": "string"  },  "run": {    "attempt": 0,    "claim_token_hash": "string",    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": {      "kind": "human",      "ref": "string"    },    "designation": {      "brief": "string",      "index": 0    },    "designation_group_id": "string",    "ended_at": "2019-08-24T14:15:22Z",    "error": "string",    "failure_kind": "string",    "heartbeat_at": "2019-08-24T14:15:22Z",    "id": "string",    "idempotency_key": "string",    "lease_until": "2019-08-24T14:15:22Z",    "metadata": null,    "origin": {      "kind": "cli",      "ref": "string"    },    "previous_run_id": "string",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "queued_at": "2019-08-24T14:15:22Z",    "recovery_count": 0,    "resolved_worktree_mode": "none",    "resolved_worktree_ref": "string",    "result": null,    "result_bytes": 0,    "result_ref": "string",    "session_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "queued",    "task_id": "string",    "worktree_id": "string"  }}
POST
/api/runs/{id}/release

Path Parameters

id*string

Task run id

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
metadata?unknown
reason?string

Response Body

OK

application/json
  1. response
run*
curl -X POST "https://example.com/api/runs/string/release" \  -H "Content-Type: application/json" \  -d '{}'
{  "run": {    "attempt": 0,    "claim_token_hash": "string",    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": {      "kind": "human",      "ref": "string"    },    "designation": {      "brief": "string",      "index": 0    },    "designation_group_id": "string",    "ended_at": "2019-08-24T14:15:22Z",    "error": "string",    "failure_kind": "string",    "heartbeat_at": "2019-08-24T14:15:22Z",    "id": "string",    "idempotency_key": "string",    "lease_until": "2019-08-24T14:15:22Z",    "metadata": null,    "origin": {      "kind": "cli",      "ref": "string"    },    "previous_run_id": "string",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "queued_at": "2019-08-24T14:15:22Z",    "recovery_count": 0,    "resolved_worktree_mode": "none",    "resolved_worktree_ref": "string",    "result": null,    "result_bytes": 0,    "result_ref": "string",    "session_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "queued",    "task_id": "string",    "worktree_id": "string"  }}
POST
/api/runs/{id}/retry

Path Parameters

id*string

Task run id

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
metadata?unknown

Response Body

Created

application/json
  1. response
previous_run*
run*
curl -X POST "https://example.com/api/runs/string/retry" \  -H "Content-Type: application/json" \  -d '{}'
{  "previous_run": {    "attempt": 0,    "claim_token_hash": "string",    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": {      "kind": "human",      "ref": "string"    },    "designation": {      "brief": "string",      "index": 0    },    "designation_group_id": "string",    "ended_at": "2019-08-24T14:15:22Z",    "error": "string",    "failure_kind": "string",    "heartbeat_at": "2019-08-24T14:15:22Z",    "id": "string",    "idempotency_key": "string",    "lease_until": "2019-08-24T14:15:22Z",    "metadata": null,    "origin": {      "kind": "cli",      "ref": "string"    },    "previous_run_id": "string",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "queued_at": "2019-08-24T14:15:22Z",    "recovery_count": 0,    "resolved_worktree_mode": "none",    "resolved_worktree_ref": "string",    "result": null,    "result_bytes": 0,    "result_ref": "string",    "session_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "queued",    "task_id": "string",    "worktree_id": "string"  },  "run": {    "attempt": 0,    "claim_token_hash": "string",    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": {      "kind": "human",      "ref": "string"    },    "designation": {      "brief": "string",      "index": 0    },    "designation_group_id": "string",    "ended_at": "2019-08-24T14:15:22Z",    "error": "string",    "failure_kind": "string",    "heartbeat_at": "2019-08-24T14:15:22Z",    "id": "string",    "idempotency_key": "string",    "lease_until": "2019-08-24T14:15:22Z",    "metadata": null,    "origin": {      "kind": "cli",      "ref": "string"    },    "previous_run_id": "string",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "queued_at": "2019-08-24T14:15:22Z",    "recovery_count": 0,    "resolved_worktree_mode": "none",    "resolved_worktree_ref": "string",    "result": null,    "result_bytes": 0,    "result_ref": "string",    "session_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "queued",    "task_id": "string",    "worktree_id": "string"  }}
GET
/api/scheduler

Response Body

OK

application/json
  1. response
scheduler*
curl -X GET "https://example.com/api/scheduler"
{  "scheduler": {    "active_claim_count": 0,    "as_of": "2019-08-24T14:15:22Z",    "counters": {      "capacity_waiting_runs": 0,      "cycles": 0,      "last_cycle_at": "2019-08-24T14:15:22Z",      "needs_attention": 0,      "spawn_requested": 0,      "wake_attempts": 0,      "wake_failed": 0,      "wake_skipped": 0,      "wake_succeeded": 0    },    "needs_attention_run_count": 0,    "paused": true,    "paused_at": "2019-08-24T14:15:22Z",    "paused_by": "string",    "paused_reason": "string",    "paused_task_count": 0,    "queued_run_count": 0,    "starved_run_count": 0  }}
GET
/api/scheduler/backlog

Query Parameters

limit?integer

Maximum number of queued runs to return

Formatint32
scope?string

Filter by catalog visibility

Value in"all""global""workspace""user""@user"
workspace?string

Filter by workspace path, name, or ID

include_paused?boolean

Include runs blocked by task pause state

Response Body

OK

application/json
  1. response
backlog*
curl -X GET "https://example.com/api/scheduler/backlog"
{  "backlog": {    "runs": [      {        "run": {          "attempt": 0,          "claim_token_hash": "string",          "claimed_at": "2019-08-24T14:15:22Z",          "claimed_by": {            "kind": "human",            "ref": "string"          },          "designation": {            "brief": "string",            "index": 0          },          "designation_group_id": "string",          "ended_at": "2019-08-24T14:15:22Z",          "error": "string",          "failure_kind": "string",          "heartbeat_at": "2019-08-24T14:15:22Z",          "id": "string",          "idempotency_key": "string",          "lease_until": "2019-08-24T14:15:22Z",          "metadata": null,          "origin": {            "kind": "cli",            "ref": "string"          },          "previous_run_id": "string",          "profile_color": "string",          "profile_icon": "string",          "profile_id": "string",          "profile_name": "string",          "queued_at": "2019-08-24T14:15:22Z",          "recovery_count": 0,          "resolved_worktree_mode": "none",          "resolved_worktree_ref": "string",          "result": null,          "result_bytes": 0,          "result_ref": "string",          "session_id": "string",          "started_at": "2019-08-24T14:15:22Z",          "status": "queued",          "task_id": "string",          "worktree_id": "string"        },        "task": {          "active_run": {            "attempt": 0,            "claim_token_hash": "string",            "claimed_at": "2019-08-24T14:15:22Z",            "claimed_by": {              "kind": "human",              "ref": "string"            },            "designation": {              "brief": "string",              "index": 0            },            "designation_group_id": "string",            "ended_at": "2019-08-24T14:15:22Z",            "error": "string",            "failure_kind": "string",            "heartbeat_at": "2019-08-24T14:15:22Z",            "id": "string",            "lease_until": "2019-08-24T14:15:22Z",            "max_attempts": 0,            "previous_run_id": "string",            "queued_at": "2019-08-24T14:15:22Z",            "recovery_count": 0,            "resolved_worktree_mode": "none",            "resolved_worktree_ref": "string",            "session_id": "string",            "started_at": "2019-08-24T14:15:22Z",            "status": "queued",            "task_id": "string",            "worktree_id": "string"          },          "approval_policy": "none",          "approval_state": "not_required",          "auto_enqueue_on_ready": true,          "blocked_reasons": [            {              "block_id": "string",              "depends_on_task_ids": [                "string"              ],              "kind": "needs_input",              "reason": "string",              "source": "dependency"            }          ],          "child_count": 0,          "closed_at": "2019-08-24T14:15:22Z",          "created_at": "2019-08-24T14:15:22Z",          "created_by": {            "kind": "human",            "ref": "string"          },          "current_run_id": "string",          "dependencies": [            {              "created_at": "2019-08-24T14:15:22Z",              "depends_on": {                "effective_paused": true,                "id": "string",                "identifier": "string",                "latest_event_seq": 0,                "owner": {                  "kind": "human",                  "ref": "string"                },                "paused": true,                "paused_by_task_id": "string",                "priority": "low",                "scope": "global",                "status": "draft",                "title": "string",                "workspace_id": "string"              },              "depends_on_task_id": "string",              "kind": "blocks",              "task_id": "string"            }          ],          "dependency_count": 0,          "draft": true,          "effective_paused": true,          "id": "string",          "identifier": "string",          "last_activity_at": "2019-08-24T14:15:22Z",          "latest_event_seq": 0,          "max_attempts": 0,          "needs_attention": true,          "needs_attention_at": "2019-08-24T14:15:22Z",          "needs_attention_by": {            "kind": "human",            "ref": "string"          },          "needs_attention_reason": "string",          "origin": {            "kind": "cli",            "ref": "string"          },          "owner": {            "kind": "human",            "ref": "string"          },          "parent_task_id": "string",          "paused": true,          "paused_at": "2019-08-24T14:15:22Z",          "paused_by": "string",          "paused_by_task_id": "string",          "paused_reason": "string",          "priority": "low",          "profile_color": "string",          "profile_icon": "string",          "profile_id": "string",          "profile_name": "string",          "scope": "global",          "status": "draft",          "title": "string",          "updated_at": "2019-08-24T14:15:22Z",          "wake_creator": true,          "workspace_id": "string"        }      }    ],    "total": 0  }}
POST
/api/scheduler/drain

Request Body

JSON request body

application/json
  1. body
reason?string
timeout_seconds?|
Formatint64
Range0 <= value <= 9223372036

Response Body

OK

application/json
  1. response
completed*boolean
completed_at*string
Formatdate-time
remaining_claims*integer
scheduler*
started_at*string
Formatdate-time
timed_out?boolean
curl -X POST "https://example.com/api/scheduler/drain" \  -H "Content-Type: application/json" \  -d '{}'
{  "completed": true,  "completed_at": "2019-08-24T14:15:22Z",  "remaining_claims": 0,  "scheduler": {    "active_claim_count": 0,    "as_of": "2019-08-24T14:15:22Z",    "counters": {      "capacity_waiting_runs": 0,      "cycles": 0,      "last_cycle_at": "2019-08-24T14:15:22Z",      "needs_attention": 0,      "spawn_requested": 0,      "wake_attempts": 0,      "wake_failed": 0,      "wake_skipped": 0,      "wake_succeeded": 0    },    "needs_attention_run_count": 0,    "paused": true,    "paused_at": "2019-08-24T14:15:22Z",    "paused_by": "string",    "paused_reason": "string",    "paused_task_count": 0,    "queued_run_count": 0,    "starved_run_count": 0  },  "started_at": "2019-08-24T14:15:22Z",  "timed_out": true}
POST
/api/scheduler/pause

Request Body

JSON request body

application/json
  1. body
reason?string

Response Body

OK

application/json
  1. response
scheduler*
curl -X POST "https://example.com/api/scheduler/pause" \  -H "Content-Type: application/json" \  -d '{}'
{  "scheduler": {    "active_claim_count": 0,    "as_of": "2019-08-24T14:15:22Z",    "counters": {      "capacity_waiting_runs": 0,      "cycles": 0,      "last_cycle_at": "2019-08-24T14:15:22Z",      "needs_attention": 0,      "spawn_requested": 0,      "wake_attempts": 0,      "wake_failed": 0,      "wake_skipped": 0,      "wake_succeeded": 0    },    "needs_attention_run_count": 0,    "paused": true,    "paused_at": "2019-08-24T14:15:22Z",    "paused_by": "string",    "paused_reason": "string",    "paused_task_count": 0,    "queued_run_count": 0,    "starved_run_count": 0  }}
POST
/api/scheduler/resume

Request Body

JSON request body

application/json
  1. body
reason?string

Response Body

OK

application/json
  1. response
scheduler*
curl -X POST "https://example.com/api/scheduler/resume" \  -H "Content-Type: application/json" \  -d '{}'
{  "scheduler": {    "active_claim_count": 0,    "as_of": "2019-08-24T14:15:22Z",    "counters": {      "capacity_waiting_runs": 0,      "cycles": 0,      "last_cycle_at": "2019-08-24T14:15:22Z",      "needs_attention": 0,      "spawn_requested": 0,      "wake_attempts": 0,      "wake_failed": 0,      "wake_skipped": 0,      "wake_succeeded": 0    },    "needs_attention_run_count": 0,    "paused": true,    "paused_at": "2019-08-24T14:15:22Z",    "paused_by": "string",    "paused_reason": "string",    "paused_task_count": 0,    "queued_run_count": 0,    "starved_run_count": 0  }}

Get one task-run review

GET
/api/task-reviews/{id}

Path Parameters

id*string

Review id

Query Parameters

profile?string

Read one profile's rows by name

all_profiles?boolean

Read the owner-labeled all-profiles aggregate

Response Body

OK

application/json
  1. response
review*
curl -X GET "https://example.com/api/task-reviews/string"
{  "review": {    "attempt": 0,    "confidence": 0,    "created_at": "2019-08-24T14:15:22Z",    "deadline_at": "2019-08-24T14:15:22Z",    "delivery_id": "string",    "missing_work": null,    "next_round_guidance": "string",    "outcome": "approved",    "parent_review_id": "string",    "policy": "none",    "profile_archived": true,    "profile_color": "string",    "profile_emoji": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "reason": "string",    "requested_at": "2019-08-24T14:15:22Z",    "review_id": "string",    "review_round": 0,    "review_text": "string",    "reviewed_at": "2019-08-24T14:15:22Z",    "reviewed_by": {      "kind": "human",      "ref": "string"    },    "reviewer_agent_name": "string",    "reviewer_session_id": "string",    "routed_at": "2019-08-24T14:15:22Z",    "run_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "requested",    "task_id": "string",    "updated_at": "2019-08-24T14:15:22Z"  }}
POST
/api/task-reviews/{id}/verdict

Path Parameters

id*string

Review id

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
run_id*string
verdict*

Response Body

OK

application/json
  1. response
circuit_opened?boolean
continuation_run?|
review*
curl -X POST "https://example.com/api/task-reviews/string/verdict" \  -H "Content-Type: application/json" \  -d '{    "run_id": "string",    "verdict": {      "confidence": 0,      "delivery_id": "string",      "outcome": "approved",      "reason": "string"    }  }'
{  "circuit_opened": true,  "continuation_run": {    "attempt": 0,    "claim_token_hash": "string",    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": {      "kind": "human",      "ref": "string"    },    "designation": {      "brief": "string",      "index": 0    },    "designation_group_id": "string",    "ended_at": "2019-08-24T14:15:22Z",    "error": "string",    "failure_kind": "string",    "heartbeat_at": "2019-08-24T14:15:22Z",    "id": "string",    "idempotency_key": "string",    "lease_until": "2019-08-24T14:15:22Z",    "metadata": null,    "origin": {      "kind": "cli",      "ref": "string"    },    "previous_run_id": "string",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "queued_at": "2019-08-24T14:15:22Z",    "recovery_count": 0,    "resolved_worktree_mode": "none",    "resolved_worktree_ref": "string",    "result": null,    "result_bytes": 0,    "result_ref": "string",    "session_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "queued",    "task_id": "string",    "worktree_id": "string"  },  "review": {    "attempt": 0,    "confidence": 0,    "created_at": "2019-08-24T14:15:22Z",    "deadline_at": "2019-08-24T14:15:22Z",    "delivery_id": "string",    "missing_work": null,    "next_round_guidance": "string",    "outcome": "approved",    "parent_review_id": "string",    "policy": "none",    "profile_archived": true,    "profile_color": "string",    "profile_emoji": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "reason": "string",    "requested_at": "2019-08-24T14:15:22Z",    "review_id": "string",    "review_round": 0,    "review_text": "string",    "reviewed_at": "2019-08-24T14:15:22Z",    "reviewed_by": {      "kind": "human",      "ref": "string"    },    "reviewer_agent_name": "string",    "reviewer_session_id": "string",    "routed_at": "2019-08-24T14:15:22Z",    "run_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "requested",    "task_id": "string",    "updated_at": "2019-08-24T14:15:22Z"  }}

Get one task run detail

GET
/api/task-runs/{id}

Path Parameters

id*string

Task run id

Query Parameters

profile?string

Read one profile's rows by name

all_profiles?boolean

Read the owner-labeled all-profiles aggregate

Response Body

OK

application/json
  1. response
run*
curl -X GET "https://example.com/api/task-runs/string"
{  "run": {    "run": {      "attempt": 0,      "claim_token_hash": "string",      "claimed_at": "2019-08-24T14:15:22Z",      "claimed_by": {        "kind": "human",        "ref": "string"      },      "designation": {        "brief": "string",        "index": 0      },      "designation_group_id": "string",      "ended_at": "2019-08-24T14:15:22Z",      "error": "string",      "failure_kind": "string",      "heartbeat_at": "2019-08-24T14:15:22Z",      "id": "string",      "idempotency_key": "string",      "lease_until": "2019-08-24T14:15:22Z",      "metadata": null,      "origin": {        "kind": "cli",        "ref": "string"      },      "previous_run_id": "string",      "profile_color": "string",      "profile_icon": "string",      "profile_id": "string",      "profile_name": "string",      "queued_at": "2019-08-24T14:15:22Z",      "recovery_count": 0,      "resolved_worktree_mode": "none",      "resolved_worktree_ref": "string",      "result": null,      "result_bytes": 0,      "result_ref": "string",      "session_id": "string",      "started_at": "2019-08-24T14:15:22Z",      "status": "queued",      "task_id": "string",      "worktree_id": "string"    },    "session": {      "agent_name": "string",      "created_at": "2019-08-24T14:15:22Z",      "name": "string",      "session_id": "string",      "state": "string",      "updated_at": "2019-08-24T14:15:22Z",      "workspace_id": "string"    },    "summary": {      "cost_currency": "string",      "cost_source": "agent_reported",      "cost_status": "actual",      "input_tokens": 0,      "last_activity_at": "2019-08-24T14:15:22Z",      "last_event_type": "string",      "output_tokens": 0,      "tool_call_count": 0,      "total_cost": 0,      "total_tokens": 0,      "turn_count": 0    },    "task": {      "effective_paused": true,      "id": "string",      "identifier": "string",      "latest_event_seq": 0,      "owner": {        "kind": "human",        "ref": "string"      },      "paused": true,      "paused_by_task_id": "string",      "priority": "low",      "scope": "global",      "status": "draft",      "title": "string",      "workspace_id": "string"    }  }}
POST
/api/task-runs/{id}/attach-session

Path Parameters

id*string

Task run id

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
session_id*string

Response Body

OK

application/json
  1. response
run*
curl -X POST "https://example.com/api/task-runs/string/attach-session" \  -H "Content-Type: application/json" \  -d '{    "session_id": "string"  }'
{  "run": {    "attempt": 0,    "claim_token_hash": "string",    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": {      "kind": "human",      "ref": "string"    },    "designation": {      "brief": "string",      "index": 0    },    "designation_group_id": "string",    "ended_at": "2019-08-24T14:15:22Z",    "error": "string",    "failure_kind": "string",    "heartbeat_at": "2019-08-24T14:15:22Z",    "id": "string",    "idempotency_key": "string",    "lease_until": "2019-08-24T14:15:22Z",    "metadata": null,    "origin": {      "kind": "cli",      "ref": "string"    },    "previous_run_id": "string",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "queued_at": "2019-08-24T14:15:22Z",    "recovery_count": 0,    "resolved_worktree_mode": "none",    "resolved_worktree_ref": "string",    "result": null,    "result_bytes": 0,    "result_ref": "string",    "session_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "queued",    "task_id": "string",    "worktree_id": "string"  }}

Cancel one task run

POST
/api/task-runs/{id}/cancel

Path Parameters

id*string

Task run id

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
metadata?unknown
reason?string

Response Body

OK

application/json
  1. response
run*
curl -X POST "https://example.com/api/task-runs/string/cancel" \  -H "Content-Type: application/json" \  -d '{}'
{  "run": {    "attempt": 0,    "claim_token_hash": "string",    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": {      "kind": "human",      "ref": "string"    },    "designation": {      "brief": "string",      "index": 0    },    "designation_group_id": "string",    "ended_at": "2019-08-24T14:15:22Z",    "error": "string",    "failure_kind": "string",    "heartbeat_at": "2019-08-24T14:15:22Z",    "id": "string",    "idempotency_key": "string",    "lease_until": "2019-08-24T14:15:22Z",    "metadata": null,    "origin": {      "kind": "cli",      "ref": "string"    },    "previous_run_id": "string",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "queued_at": "2019-08-24T14:15:22Z",    "recovery_count": 0,    "resolved_worktree_mode": "none",    "resolved_worktree_ref": "string",    "result": null,    "result_bytes": 0,    "result_ref": "string",    "session_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "queued",    "task_id": "string",    "worktree_id": "string"  }}
POST
/api/task-runs/{id}/complete

Path Parameters

id*string

Task run id

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
created_task_ids?array<string>
result?unknown

Response Body

OK

application/json
  1. response
run*
curl -X POST "https://example.com/api/task-runs/string/complete" \  -H "Content-Type: application/json" \  -d '{}'
{  "run": {    "attempt": 0,    "claim_token_hash": "string",    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": {      "kind": "human",      "ref": "string"    },    "designation": {      "brief": "string",      "index": 0    },    "designation_group_id": "string",    "ended_at": "2019-08-24T14:15:22Z",    "error": "string",    "failure_kind": "string",    "heartbeat_at": "2019-08-24T14:15:22Z",    "id": "string",    "idempotency_key": "string",    "lease_until": "2019-08-24T14:15:22Z",    "metadata": null,    "origin": {      "kind": "cli",      "ref": "string"    },    "previous_run_id": "string",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "queued_at": "2019-08-24T14:15:22Z",    "recovery_count": 0,    "resolved_worktree_mode": "none",    "resolved_worktree_ref": "string",    "result": null,    "result_bytes": 0,    "result_ref": "string",    "session_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "queued",    "task_id": "string",    "worktree_id": "string"  }}

Fail one task run

POST
/api/task-runs/{id}/fail

Path Parameters

id*string

Task run id

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
error*string
metadata?unknown

Response Body

OK

application/json
  1. response
run*
curl -X POST "https://example.com/api/task-runs/string/fail" \  -H "Content-Type: application/json" \  -d '{    "error": "string"  }'
{  "run": {    "attempt": 0,    "claim_token_hash": "string",    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": {      "kind": "human",      "ref": "string"    },    "designation": {      "brief": "string",      "index": 0    },    "designation_group_id": "string",    "ended_at": "2019-08-24T14:15:22Z",    "error": "string",    "failure_kind": "string",    "heartbeat_at": "2019-08-24T14:15:22Z",    "id": "string",    "idempotency_key": "string",    "lease_until": "2019-08-24T14:15:22Z",    "metadata": null,    "origin": {      "kind": "cli",      "ref": "string"    },    "previous_run_id": "string",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "queued_at": "2019-08-24T14:15:22Z",    "recovery_count": 0,    "resolved_worktree_mode": "none",    "resolved_worktree_ref": "string",    "result": null,    "result_bytes": 0,    "result_ref": "string",    "session_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "queued",    "task_id": "string",    "worktree_id": "string"  }}
GET
/api/task-runs/{id}/result

Path Parameters

id*string

Task run id

Query Parameters

offset?integer

Zero-based byte offset

Formatint32
limit?integer

Page size in bytes; defaults to and is capped at 65536

Formatint32
profile?string

Read one profile's rows by name

all_profiles?boolean

Read the owner-labeled all-profiles aggregate

Response Body

OK

application/json
  1. response
bytes*integer
Formatint64
data_base64*string
eof*boolean
next_offset?|
Formatint64
offset*integer
Formatint64
result_ref?string
run_id*string
total_bytes*integer
Formatint64
curl -X GET "https://example.com/api/task-runs/string/result"
{  "bytes": 0,  "data_base64": "string",  "eof": true,  "next_offset": 0,  "offset": 0,  "result_ref": "string",  "run_id": "string",  "total_bytes": 0}
GET
/api/task-runs/{id}/reviews

Path Parameters

id*string

Task run id

Query Parameters

status?string

Filter by review status

Value in"requested""routed""in_review""recorded""circuit_opened""canceled"
reviewer_session_id?string

Filter by reviewer session id

limit?integer

Maximum number of records to return

Formatint32
profile?string

Read one profile's rows by name

all_profiles?boolean

Read the owner-labeled all-profiles aggregate

Response Body

OK

application/json
  1. response
reviews*array<>
curl -X GET "https://example.com/api/task-runs/string/reviews"
{  "reviews": [    {      "attempt": 0,      "confidence": 0,      "created_at": "2019-08-24T14:15:22Z",      "deadline_at": "2019-08-24T14:15:22Z",      "delivery_id": "string",      "missing_work": null,      "next_round_guidance": "string",      "outcome": "approved",      "parent_review_id": "string",      "policy": "none",      "profile_archived": true,      "profile_color": "string",      "profile_emoji": "string",      "profile_icon": "string",      "profile_id": "string",      "profile_name": "string",      "reason": "string",      "requested_at": "2019-08-24T14:15:22Z",      "review_id": "string",      "review_round": 0,      "review_text": "string",      "reviewed_at": "2019-08-24T14:15:22Z",      "reviewed_by": {        "kind": "human",        "ref": "string"      },      "reviewer_agent_name": "string",      "reviewer_session_id": "string",      "routed_at": "2019-08-24T14:15:22Z",      "run_id": "string",      "started_at": "2019-08-24T14:15:22Z",      "status": "requested",      "task_id": "string",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}
POST
/api/task-runs/{id}/reviews

Path Parameters

id*string

Task run id

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
attempt?integer
deadline_at*string
Formatdate-time
parent_review_id?string
policy?string
Value in"none""always""on_success""on_failure"
reason?string
review_round?integer
run_id*string
task_id*string

Response Body

OK

application/json
  1. response
created*boolean
review*
curl -X POST "https://example.com/api/task-runs/string/reviews" \  -H "Content-Type: application/json" \  -d '{    "deadline_at": "2019-08-24T14:15:22Z",    "run_id": "string",    "task_id": "string"  }'
{  "created": true,  "review": {    "attempt": 0,    "confidence": 0,    "created_at": "2019-08-24T14:15:22Z",    "deadline_at": "2019-08-24T14:15:22Z",    "delivery_id": "string",    "missing_work": null,    "next_round_guidance": "string",    "outcome": "approved",    "parent_review_id": "string",    "policy": "none",    "profile_archived": true,    "profile_color": "string",    "profile_emoji": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "reason": "string",    "requested_at": "2019-08-24T14:15:22Z",    "review_id": "string",    "review_round": 0,    "review_text": "string",    "reviewed_at": "2019-08-24T14:15:22Z",    "reviewed_by": {      "kind": "human",      "ref": "string"    },    "reviewer_agent_name": "string",    "reviewer_session_id": "string",    "routed_at": "2019-08-24T14:15:22Z",    "run_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "requested",    "task_id": "string",    "updated_at": "2019-08-24T14:15:22Z"  }}
POST
/api/task-runs/{id}/start

Path Parameters

id*string

Task run id

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
idempotency_key?string

Response Body

OK

application/json
  1. response
run*
curl -X POST "https://example.com/api/task-runs/string/start" \  -H "Content-Type: application/json" \  -d '{}'
{  "run": {    "attempt": 0,    "claim_token_hash": "string",    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": {      "kind": "human",      "ref": "string"    },    "designation": {      "brief": "string",      "index": 0    },    "designation_group_id": "string",    "ended_at": "2019-08-24T14:15:22Z",    "error": "string",    "failure_kind": "string",    "heartbeat_at": "2019-08-24T14:15:22Z",    "id": "string",    "idempotency_key": "string",    "lease_until": "2019-08-24T14:15:22Z",    "metadata": null,    "origin": {      "kind": "cli",      "ref": "string"    },    "previous_run_id": "string",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "queued_at": "2019-08-24T14:15:22Z",    "recovery_count": 0,    "resolved_worktree_mode": "none",    "resolved_worktree_ref": "string",    "result": null,    "result_bytes": 0,    "result_ref": "string",    "session_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "queued",    "task_id": "string",    "worktree_id": "string"  }}
GET
/api/tasks

Query Parameters

all_workspaces?boolean

Read every project and User within the profile lens; conflicts with workspace

workspace_ids?array<string>

Repeatable project IDs; @user selects User; requires all_workspaces=true

scope?string

Filter by catalog visibility

Value in"all""global""workspace""user""@user"
workspace?string

Filter by workspace path, name, or ID

status?string

Filter by task status

Value in"draft""pending""blocked""needs_attention""ready""in_progress""completed""failed""canceled"
priority?string

Filter by task priority

Value in"low""medium""high""urgent"
include_drafts?boolean

Include draft tasks in list results

include_loop?boolean

Include Loop execution records; omitted means false

loop_run_id?string

Filter by Loop run ID; also includes Loop execution records

approval_state?string

Filter by task approval state

Value in"not_required""pending""approved""rejected"
owner_kind?string

Filter by owner kind

Value in"human""agent_session""automation""extension""pool"
owner_ref?string

Filter by owner reference

parent_task_id?string

Filter by parent task ID

worktree?string

Filter by active run worktree ID

query?string

Filter by task title or identifier

sort?string

Order by recent activity or priority

Value in"recent""priority"
cursor?string

Opaque query-bound continuation cursor

limit?integer

Page size from 1 to 200 (default 50)

Formatint32
profile?string

Read one profile's rows by name

all_profiles?boolean

Read the owner-labeled all-profiles aggregate

Response Body

OK

application/json
  1. response
facets*
page*
tasks*array<>
curl -X GET "https://example.com/api/tasks"
{  "facets": {    "owners": [      {        "count": 0,        "owner": {          "kind": "human",          "ref": "string"        }      }    ],    "statuses": [      {        "count": 0,        "status": "draft"      }    ]  },  "page": {    "has_more": true,    "limit": 0,    "next_cursor": "string",    "total": 0  },  "tasks": [    {      "active_run": {        "attempt": 0,        "claimed_at": "2019-08-24T14:15:22Z",        "claimed_by": {          "kind": "human",          "ref": "string"        },        "ended_at": "2019-08-24T14:15:22Z",        "error": "string",        "failure_kind": "string",        "heartbeat_at": "2019-08-24T14:15:22Z",        "id": "string",        "lease_until": "2019-08-24T14:15:22Z",        "max_attempts": 0,        "previous_run_id": "string",        "queued_at": "2019-08-24T14:15:22Z",        "recovery_count": 0,        "resolved_worktree_mode": "none",        "resolved_worktree_ref": "string",        "session_id": "string",        "started_at": "2019-08-24T14:15:22Z",        "status": "queued",        "task_id": "string",        "worktree_id": "string"      },      "approval_policy": "none",      "approval_state": "not_required",      "auto_enqueue_on_ready": true,      "child_count": 0,      "closed_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "created_by": {        "kind": "human",        "ref": "string"      },      "current_run_id": "string",      "dependency_count": 0,      "draft": true,      "id": "string",      "identifier": "string",      "last_activity_at": "2019-08-24T14:15:22Z",      "latest_event_seq": 0,      "loop": {        "generation": 0,        "item_index": 0,        "loop_name": "string",        "node_id": "string",        "role": "coordinator",        "run_id": "string"      },      "max_attempts": 0,      "needs_attention": true,      "needs_attention_at": "2019-08-24T14:15:22Z",      "needs_attention_by": {        "kind": "human",        "ref": "string"      },      "needs_attention_reason": "string",      "origin": {        "kind": "cli",        "ref": "string"      },      "owner": {        "kind": "human",        "ref": "string"      },      "parent_task_id": "string",      "priority": "low",      "profile_color": "string",      "profile_icon": "string",      "profile_id": "string",      "profile_name": "string",      "scope": "global",      "status": "draft",      "title": "string",      "updated_at": "2019-08-24T14:15:22Z",      "wake_creator": true,      "workspace_id": "string"    }  ]}

Create a task

POST
/api/tasks

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
approval_policy?string
Value in"none""manual"
auto_enqueue_on_ready?boolean
description?string
draft?boolean
id?string
identifier?string
max_attempts?integer|null
metadata?unknown
owner?|
priority?string
Value in"low""medium""high""urgent"
scope*string
Value in"global""workspace""user""@user"
title*string
wake_creator?boolean|null
workspace?string

Response Body

Created

application/json
  1. response
task*
curl -X POST "https://example.com/api/tasks" \  -H "Content-Type: application/json" \  -d '{    "scope": "global",    "title": "string"  }'
{  "task": {    "approval_policy": "none",    "approval_state": "not_required",    "auto_enqueue_on_ready": true,    "blocked_reasons": [      {        "block_id": "string",        "depends_on_task_ids": [          "string"        ],        "kind": "needs_input",        "reason": "string",        "source": "dependency"      }    ],    "closed_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "created_by": {      "kind": "human",      "ref": "string"    },    "current_run_id": "string",    "description": "string",    "draft": true,    "effective_paused": true,    "id": "string",    "identifier": "string",    "latest_event_seq": 0,    "loop": {      "generation": 0,      "item_index": 0,      "loop_name": "string",      "node_id": "string",      "role": "coordinator",      "run_id": "string"    },    "max_attempts": 0,    "metadata": null,    "needs_attention": true,    "needs_attention_at": "2019-08-24T14:15:22Z",    "needs_attention_by": {      "kind": "human",      "ref": "string"    },    "needs_attention_reason": "string",    "origin": {      "kind": "cli",      "ref": "string"    },    "owner": {      "kind": "human",      "ref": "string"    },    "parent_task_id": "string",    "paused": true,    "paused_at": "2019-08-24T14:15:22Z",    "paused_by": "string",    "paused_by_task_id": "string",    "paused_reason": "string",    "priority": "low",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "scope": "global",    "status": "draft",    "title": "string",    "updated_at": "2019-08-24T14:15:22Z",    "wake_creator": true,    "workspace_id": "string"  }}

Get one task with detail

GET
/api/tasks/{id}

Path Parameters

id*string

Task id

Query Parameters

profile?string

Read one profile's rows by name

all_profiles?boolean

Read the owner-labeled all-profiles aggregate

Response Body

OK

application/json
  1. response
task*
curl -X GET "https://example.com/api/tasks/string"
{  "task": {    "children": [      {        "active_run": {          "attempt": 0,          "claim_token_hash": "string",          "claimed_at": "2019-08-24T14:15:22Z",          "claimed_by": {            "kind": "human",            "ref": "string"          },          "designation": {            "brief": "string",            "index": 0          },          "designation_group_id": "string",          "ended_at": "2019-08-24T14:15:22Z",          "error": "string",          "failure_kind": "string",          "heartbeat_at": "2019-08-24T14:15:22Z",          "id": "string",          "lease_until": "2019-08-24T14:15:22Z",          "max_attempts": 0,          "previous_run_id": "string",          "queued_at": "2019-08-24T14:15:22Z",          "recovery_count": 0,          "resolved_worktree_mode": "none",          "resolved_worktree_ref": "string",          "session_id": "string",          "started_at": "2019-08-24T14:15:22Z",          "status": "queued",          "task_id": "string",          "worktree_id": "string"        },        "approval_policy": "none",        "approval_state": "not_required",        "auto_enqueue_on_ready": true,        "blocked_reasons": [          {            "block_id": "string",            "depends_on_task_ids": [              "string"            ],            "kind": "needs_input",            "reason": "string",            "source": "dependency"          }        ],        "child_count": 0,        "closed_at": "2019-08-24T14:15:22Z",        "created_at": "2019-08-24T14:15:22Z",        "created_by": {          "kind": "human",          "ref": "string"        },        "current_run_id": "string",        "dependencies": [          {            "created_at": "2019-08-24T14:15:22Z",            "depends_on": {              "effective_paused": true,              "id": "string",              "identifier": "string",              "latest_event_seq": 0,              "owner": {                "kind": "human",                "ref": "string"              },              "paused": true,              "paused_by_task_id": "string",              "priority": "low",              "scope": "global",              "status": "draft",              "title": "string",              "workspace_id": "string"            },            "depends_on_task_id": "string",            "kind": "blocks",            "task_id": "string"          }        ],        "dependency_count": 0,        "draft": true,        "effective_paused": true,        "id": "string",        "identifier": "string",        "last_activity_at": "2019-08-24T14:15:22Z",        "latest_event_seq": 0,        "max_attempts": 0,        "needs_attention": true,        "needs_attention_at": "2019-08-24T14:15:22Z",        "needs_attention_by": {          "kind": "human",          "ref": "string"        },        "needs_attention_reason": "string",        "origin": {          "kind": "cli",          "ref": "string"        },        "owner": {          "kind": "human",          "ref": "string"        },        "parent_task_id": "string",        "paused": true,        "paused_at": "2019-08-24T14:15:22Z",        "paused_by": "string",        "paused_by_task_id": "string",        "paused_reason": "string",        "priority": "low",        "profile_color": "string",        "profile_icon": "string",        "profile_id": "string",        "profile_name": "string",        "scope": "global",        "status": "draft",        "title": "string",        "updated_at": "2019-08-24T14:15:22Z",        "wake_creator": true,        "workspace_id": "string"      }    ],    "dependencies": [      {        "created_at": "2019-08-24T14:15:22Z",        "depends_on_task_id": "string",        "kind": "blocks",        "task_id": "string"      }    ],    "dependency_references": [      {        "created_at": "2019-08-24T14:15:22Z",        "depends_on": {          "effective_paused": true,          "id": "string",          "identifier": "string",          "latest_event_seq": 0,          "owner": {            "kind": "human",            "ref": "string"          },          "paused": true,          "paused_by_task_id": "string",          "priority": "low",          "scope": "global",          "status": "draft",          "title": "string",          "workspace_id": "string"        },        "depends_on_task_id": "string",        "kind": "blocks",        "task_id": "string"      }    ],    "designation_rollups": [      {        "created_at": "2019-08-24T14:15:22Z",        "designation_group_id": "string",        "summary": null,        "task_id": "string"      }    ],    "events": [      {        "actor": {          "kind": "human",          "ref": "string"        },        "event_type": "string",        "id": "string",        "origin": {          "kind": "cli",          "ref": "string"        },        "payload": null,        "run_id": "string",        "task_id": "string",        "timestamp": "2019-08-24T14:15:22Z"      }    ],    "runs": [      {        "attempt": 0,        "claim_token_hash": "string",        "claimed_at": "2019-08-24T14:15:22Z",        "claimed_by": {          "kind": "human",          "ref": "string"        },        "designation": {          "brief": "string",          "index": 0        },        "designation_group_id": "string",        "ended_at": "2019-08-24T14:15:22Z",        "error": "string",        "failure_kind": "string",        "heartbeat_at": "2019-08-24T14:15:22Z",        "id": "string",        "idempotency_key": "string",        "lease_until": "2019-08-24T14:15:22Z",        "metadata": null,        "origin": {          "kind": "cli",          "ref": "string"        },        "previous_run_id": "string",        "profile_color": "string",        "profile_icon": "string",        "profile_id": "string",        "profile_name": "string",        "queued_at": "2019-08-24T14:15:22Z",        "recovery_count": 0,        "resolved_worktree_mode": "none",        "resolved_worktree_ref": "string",        "result": null,        "result_bytes": 0,        "result_ref": "string",        "session_id": "string",        "started_at": "2019-08-24T14:15:22Z",        "status": "queued",        "task_id": "string",        "worktree_id": "string"      }    ],    "summary": {      "active_run": {        "attempt": 0,        "claim_token_hash": "string",        "claimed_at": "2019-08-24T14:15:22Z",        "claimed_by": {          "kind": "human",          "ref": "string"        },        "designation": {          "brief": "string",          "index": 0        },        "designation_group_id": "string",        "ended_at": "2019-08-24T14:15:22Z",        "error": "string",        "failure_kind": "string",        "heartbeat_at": "2019-08-24T14:15:22Z",        "id": "string",        "lease_until": "2019-08-24T14:15:22Z",        "max_attempts": 0,        "previous_run_id": "string",        "queued_at": "2019-08-24T14:15:22Z",        "recovery_count": 0,        "resolved_worktree_mode": "none",        "resolved_worktree_ref": "string",        "session_id": "string",        "started_at": "2019-08-24T14:15:22Z",        "status": "queued",        "task_id": "string",        "worktree_id": "string"      },      "approval_policy": "none",      "approval_state": "not_required",      "auto_enqueue_on_ready": true,      "blocked_reasons": [        {          "block_id": "string",          "depends_on_task_ids": [            "string"          ],          "kind": "needs_input",          "reason": "string",          "source": "dependency"        }      ],      "child_count": 0,      "closed_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "created_by": {        "kind": "human",        "ref": "string"      },      "current_run_id": "string",      "dependencies": [        {          "created_at": "2019-08-24T14:15:22Z",          "depends_on": {            "effective_paused": true,            "id": "string",            "identifier": "string",            "latest_event_seq": 0,            "owner": {              "kind": "human",              "ref": "string"            },            "paused": true,            "paused_by_task_id": "string",            "priority": "low",            "scope": "global",            "status": "draft",            "title": "string",            "workspace_id": "string"          },          "depends_on_task_id": "string",          "kind": "blocks",          "task_id": "string"        }      ],      "dependency_count": 0,      "draft": true,      "effective_paused": true,      "id": "string",      "identifier": "string",      "last_activity_at": "2019-08-24T14:15:22Z",      "latest_event_seq": 0,      "max_attempts": 0,      "needs_attention": true,      "needs_attention_at": "2019-08-24T14:15:22Z",      "needs_attention_by": {        "kind": "human",        "ref": "string"      },      "needs_attention_reason": "string",      "origin": {        "kind": "cli",        "ref": "string"      },      "owner": {        "kind": "human",        "ref": "string"      },      "parent_task_id": "string",      "paused": true,      "paused_at": "2019-08-24T14:15:22Z",      "paused_by": "string",      "paused_by_task_id": "string",      "paused_reason": "string",      "priority": "low",      "profile_color": "string",      "profile_icon": "string",      "profile_id": "string",      "profile_name": "string",      "scope": "global",      "status": "draft",      "title": "string",      "updated_at": "2019-08-24T14:15:22Z",      "wake_creator": true,      "workspace_id": "string"    },    "task": {      "approval_policy": "none",      "approval_state": "not_required",      "auto_enqueue_on_ready": true,      "blocked_reasons": [        {          "block_id": "string",          "depends_on_task_ids": [            "string"          ],          "kind": "needs_input",          "reason": "string",          "source": "dependency"        }      ],      "closed_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "created_by": {        "kind": "human",        "ref": "string"      },      "current_run_id": "string",      "description": "string",      "draft": true,      "effective_paused": true,      "id": "string",      "identifier": "string",      "latest_event_seq": 0,      "loop": {        "generation": 0,        "item_index": 0,        "loop_name": "string",        "node_id": "string",        "role": "coordinator",        "run_id": "string"      },      "max_attempts": 0,      "metadata": null,      "needs_attention": true,      "needs_attention_at": "2019-08-24T14:15:22Z",      "needs_attention_by": {        "kind": "human",        "ref": "string"      },      "needs_attention_reason": "string",      "origin": {        "kind": "cli",        "ref": "string"      },      "owner": {        "kind": "human",        "ref": "string"      },      "parent_task_id": "string",      "paused": true,      "paused_at": "2019-08-24T14:15:22Z",      "paused_by": "string",      "paused_by_task_id": "string",      "paused_reason": "string",      "priority": "low",      "profile_color": "string",      "profile_icon": "string",      "profile_id": "string",      "profile_name": "string",      "scope": "global",      "status": "draft",      "title": "string",      "updated_at": "2019-08-24T14:15:22Z",      "wake_creator": true,      "workspace_id": "string"    }  }}

Update one task

PATCH
/api/tasks/{id}

Path Parameters

id*string

Task id

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
approval_policy?|
Value in"none""manual"
auto_enqueue_on_ready?boolean|null
clear_owner?boolean
description?string|null
max_attempts?integer|null
metadata?unknown
owner?|
priority?|
Value in"low""medium""high""urgent"
title?string|null

Response Body

OK

application/json
  1. response
task*
curl -X PATCH "https://example.com/api/tasks/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "task": {    "approval_policy": "none",    "approval_state": "not_required",    "auto_enqueue_on_ready": true,    "blocked_reasons": [      {        "block_id": "string",        "depends_on_task_ids": [          "string"        ],        "kind": "needs_input",        "reason": "string",        "source": "dependency"      }    ],    "closed_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "created_by": {      "kind": "human",      "ref": "string"    },    "current_run_id": "string",    "description": "string",    "draft": true,    "effective_paused": true,    "id": "string",    "identifier": "string",    "latest_event_seq": 0,    "loop": {      "generation": 0,      "item_index": 0,      "loop_name": "string",      "node_id": "string",      "role": "coordinator",      "run_id": "string"    },    "max_attempts": 0,    "metadata": null,    "needs_attention": true,    "needs_attention_at": "2019-08-24T14:15:22Z",    "needs_attention_by": {      "kind": "human",      "ref": "string"    },    "needs_attention_reason": "string",    "origin": {      "kind": "cli",      "ref": "string"    },    "owner": {      "kind": "human",      "ref": "string"    },    "parent_task_id": "string",    "paused": true,    "paused_at": "2019-08-24T14:15:22Z",    "paused_by": "string",    "paused_by_task_id": "string",    "paused_reason": "string",    "priority": "low",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "scope": "global",    "status": "draft",    "title": "string",    "updated_at": "2019-08-24T14:15:22Z",    "wake_creator": true,    "workspace_id": "string"  }}

Delete one task

DELETE
/api/tasks/{id}

Path Parameters

id*string

Task id

Query Parameters

profile?string

Act as this profile by name

Response Body

No Content

curl -X DELETE "https://example.com/api/tasks/string"
Empty
POST
/api/tasks/{id}/approve

Path Parameters

id*string

Task id

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
idempotency_key?string
metadata?unknown

Response Body

Created

application/json
  1. response
run*
task*
curl -X POST "https://example.com/api/tasks/string/approve" \  -H "Content-Type: application/json" \  -d '{}'
{  "run": {    "attempt": 0,    "claim_token_hash": "string",    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": {      "kind": "human",      "ref": "string"    },    "designation": {      "brief": "string",      "index": 0    },    "designation_group_id": "string",    "ended_at": "2019-08-24T14:15:22Z",    "error": "string",    "failure_kind": "string",    "heartbeat_at": "2019-08-24T14:15:22Z",    "id": "string",    "idempotency_key": "string",    "lease_until": "2019-08-24T14:15:22Z",    "metadata": null,    "origin": {      "kind": "cli",      "ref": "string"    },    "previous_run_id": "string",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "queued_at": "2019-08-24T14:15:22Z",    "recovery_count": 0,    "resolved_worktree_mode": "none",    "resolved_worktree_ref": "string",    "result": null,    "result_bytes": 0,    "result_ref": "string",    "session_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "queued",    "task_id": "string",    "worktree_id": "string"  },  "task": {    "approval_policy": "none",    "approval_state": "not_required",    "auto_enqueue_on_ready": true,    "blocked_reasons": [      {        "block_id": "string",        "depends_on_task_ids": [          "string"        ],        "kind": "needs_input",        "reason": "string",        "source": "dependency"      }    ],    "closed_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "created_by": {      "kind": "human",      "ref": "string"    },    "current_run_id": "string",    "description": "string",    "draft": true,    "effective_paused": true,    "id": "string",    "identifier": "string",    "latest_event_seq": 0,    "loop": {      "generation": 0,      "item_index": 0,      "loop_name": "string",      "node_id": "string",      "role": "coordinator",      "run_id": "string"    },    "max_attempts": 0,    "metadata": null,    "needs_attention": true,    "needs_attention_at": "2019-08-24T14:15:22Z",    "needs_attention_by": {      "kind": "human",      "ref": "string"    },    "needs_attention_reason": "string",    "origin": {      "kind": "cli",      "ref": "string"    },    "owner": {      "kind": "human",      "ref": "string"    },    "parent_task_id": "string",    "paused": true,    "paused_at": "2019-08-24T14:15:22Z",    "paused_by": "string",    "paused_by_task_id": "string",    "paused_reason": "string",    "priority": "low",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "scope": "global",    "status": "draft",    "title": "string",    "updated_at": "2019-08-24T14:15:22Z",    "wake_creator": true,    "workspace_id": "string"  }}

List typed task blocks

GET
/api/tasks/{id}/blocks

Path Parameters

id*string

Task id

Query Parameters

include_cleared?boolean

Include cleared task blocks

profile?string

Read one profile's rows by name

all_profiles?boolean

Read the owner-labeled all-profiles aggregate

Response Body

OK

application/json
  1. response
blocks*array<>
curl -X GET "https://example.com/api/tasks/string/blocks"
{  "blocks": [    {      "clear_note": "string",      "cleared_at": "2019-08-24T14:15:22Z",      "cleared_by": {        "kind": "human",        "ref": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "created_by": {        "kind": "human",        "ref": "string"      },      "details": null,      "expires_at": "2019-08-24T14:15:22Z",      "id": "string",      "kind": "needs_input",      "reason": "string",      "task_id": "string",      "workspace_id": "string"    }  ]}
POST
/api/tasks/{id}/blocks

Path Parameters

id*string

Task id

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
details?unknown
expires_at?|
Formatdate-time
kind*string
Value in"needs_input""capability""transient"
reason*string
run_id?string

Response Body

Created

application/json
  1. response
block*
curl -X POST "https://example.com/api/tasks/string/blocks" \  -H "Content-Type: application/json" \  -d '{    "kind": "needs_input",    "reason": "string"  }'
{  "block": {    "clear_note": "string",    "cleared_at": "2019-08-24T14:15:22Z",    "cleared_by": {      "kind": "human",      "ref": "string"    },    "created_at": "2019-08-24T14:15:22Z",    "created_by": {      "kind": "human",      "ref": "string"    },    "details": null,    "expires_at": "2019-08-24T14:15:22Z",    "id": "string",    "kind": "needs_input",    "reason": "string",    "task_id": "string",    "workspace_id": "string"  }}
POST
/api/tasks/{id}/blocks/{block_id}/clear

Path Parameters

id*string

Task id

block_id*string

Task block id

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
note?string

Response Body

OK

application/json
  1. response
block*
curl -X POST "https://example.com/api/tasks/string/blocks/string/clear" \  -H "Content-Type: application/json" \  -d '{}'
{  "block": {    "clear_note": "string",    "cleared_at": "2019-08-24T14:15:22Z",    "cleared_by": {      "kind": "human",      "ref": "string"    },    "created_at": "2019-08-24T14:15:22Z",    "created_by": {      "kind": "human",      "ref": "string"    },    "details": null,    "expires_at": "2019-08-24T14:15:22Z",    "id": "string",    "kind": "needs_input",    "reason": "string",    "task_id": "string",    "workspace_id": "string"  }}

Cancel one task tree

POST
/api/tasks/{id}/cancel

Path Parameters

id*string

Task id

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
metadata?unknown
reason?string

Response Body

OK

application/json
  1. response
task*
curl -X POST "https://example.com/api/tasks/string/cancel" \  -H "Content-Type: application/json" \  -d '{}'
{  "task": {    "approval_policy": "none",    "approval_state": "not_required",    "auto_enqueue_on_ready": true,    "blocked_reasons": [      {        "block_id": "string",        "depends_on_task_ids": [          "string"        ],        "kind": "needs_input",        "reason": "string",        "source": "dependency"      }    ],    "closed_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "created_by": {      "kind": "human",      "ref": "string"    },    "current_run_id": "string",    "description": "string",    "draft": true,    "effective_paused": true,    "id": "string",    "identifier": "string",    "latest_event_seq": 0,    "loop": {      "generation": 0,      "item_index": 0,      "loop_name": "string",      "node_id": "string",      "role": "coordinator",      "run_id": "string"    },    "max_attempts": 0,    "metadata": null,    "needs_attention": true,    "needs_attention_at": "2019-08-24T14:15:22Z",    "needs_attention_by": {      "kind": "human",      "ref": "string"    },    "needs_attention_reason": "string",    "origin": {      "kind": "cli",      "ref": "string"    },    "owner": {      "kind": "human",      "ref": "string"    },    "parent_task_id": "string",    "paused": true,    "paused_at": "2019-08-24T14:15:22Z",    "paused_by": "string",    "paused_by_task_id": "string",    "paused_reason": "string",    "priority": "low",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "scope": "global",    "status": "draft",    "title": "string",    "updated_at": "2019-08-24T14:15:22Z",    "wake_creator": true,    "workspace_id": "string"  }}

Create one child task

POST
/api/tasks/{id}/children

Path Parameters

id*string

Parent task id

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
approval_policy?string
Value in"none""manual"
auto_enqueue_on_ready?boolean
description?string
draft?boolean
id?string
identifier?string
max_attempts?integer|null
metadata?unknown
owner?|
priority?string
Value in"low""medium""high""urgent"
scope*string
Value in"global""workspace""user""@user"
title*string
wake_creator?boolean|null
workspace?string

Response Body

Created

application/json
  1. response
task*
curl -X POST "https://example.com/api/tasks/string/children" \  -H "Content-Type: application/json" \  -d '{    "scope": "global",    "title": "string"  }'
{  "task": {    "approval_policy": "none",    "approval_state": "not_required",    "auto_enqueue_on_ready": true,    "blocked_reasons": [      {        "block_id": "string",        "depends_on_task_ids": [          "string"        ],        "kind": "needs_input",        "reason": "string",        "source": "dependency"      }    ],    "closed_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "created_by": {      "kind": "human",      "ref": "string"    },    "current_run_id": "string",    "description": "string",    "draft": true,    "effective_paused": true,    "id": "string",    "identifier": "string",    "latest_event_seq": 0,    "loop": {      "generation": 0,      "item_index": 0,      "loop_name": "string",      "node_id": "string",      "role": "coordinator",      "run_id": "string"    },    "max_attempts": 0,    "metadata": null,    "needs_attention": true,    "needs_attention_at": "2019-08-24T14:15:22Z",    "needs_attention_by": {      "kind": "human",      "ref": "string"    },    "needs_attention_reason": "string",    "origin": {      "kind": "cli",      "ref": "string"    },    "owner": {      "kind": "human",      "ref": "string"    },    "parent_task_id": "string",    "paused": true,    "paused_at": "2019-08-24T14:15:22Z",    "paused_by": "string",    "paused_by_task_id": "string",    "paused_reason": "string",    "priority": "low",    "profile_color": "string",    "profile_icon": "string",    "profile_id": "string",    "profile_name": "string",    "scope": "global",    "status": "draft",    "title": "string",    "updated_at": "2019-08-24T14:15:22Z",    "wake_creator": true,    "workspace_id": "string"  }}

Add one task dependency

POST
/api/tasks/{id}/dependencies

Path Parameters

id*string

Task id

Query Parameters

profile?string

Act as this profile by name

Request Body

JSON request body

application/json
  1. body
depends_on_task_id*string
kind?"blocks"
Value in"blocks"

Response Body

OK

application/json
  1. response
task*
curl -X POST "https://example.com/api/tasks/string/dependencies" \  -H "Content-Type: application/json" \  -d '{    "depends_on_task_id": "string"  }'
{  "task": {    "children": [      {        "active_run": {          "attempt": 0,          "claim_token_hash": "string",          "claimed_at": "2019-08-24T14:15:22Z",          "claimed_by": {            "kind": "human",            "ref": "string"          },          "designation": {            "brief": "string",            "index": 0          },          "designation_group_id": "string",          "ended_at": "2019-08-24T14:15:22Z",          "error": "string",          "failure_kind": "string",          "heartbeat_at": "2019-08-24T14:15:22Z",          "id": "string",          "lease_until": "2019-08-24T14:15:22Z",          "max_attempts": 0,          "previous_run_id": "string",          "queued_at": "2019-08-24T14:15:22Z",          "recovery_count": 0,          "resolved_worktree_mode": "none",          "resolved_worktree_ref": "string",          "session_id": "string",          "started_at": "2019-08-24T14:15:22Z",          "status": "queued",          "task_id": "string",          "worktree_id": "string"        },        "approval_policy": "none",        "approval_state": "not_required",        "auto_enqueue_on_ready": true,        "blocked_reasons": [          {            "block_id": "string",            "depends_on_task_ids": [              "string"            ],            "kind": "needs_input",            "reason": "string",            "source": "dependency"          }        ],        "child_count": 0,        "closed_at": "2019-08-24T14:15:22Z",        "created_at": "2019-08-24T14:15:22Z",        "created_by": {          "kind": "human",          "ref": "string"        },        "current_run_id": "string",        "dependencies": [          {            "created_at": "2019-08-24T14:15:22Z",            "depends_on": {              "effective_paused": true,              "id": "string",              "identifier": "string",              "latest_event_seq": 0,              "owner": {                "kind": "human",                "ref": "string"              },              "paused": true,              "paused_by_task_id": "string",              "priority": "low",              "scope": "global",              "status": "draft",              "title": "string",              "workspace_id": "string"            },            "depends_on_task_id": "string",            "kind": "blocks",            "task_id": "string"          }        ],        "dependency_count": 0,        "draft": true,        "effective_paused": true,        "id": "string",        "identifier": "string",        "last_activity_at": "2019-08-24T14:15:22Z",        "latest_event_seq": 0,        "max_attempts": 0,        "needs_attention": true,        "needs_attention_at": "2019-08-24T14:15:22Z",        "needs_attention_by": {          "kind": "human",          "ref": "string"        },        "needs_attention_reason": "string",        "origin": {          "kind": "cli",          "ref": "string"        },        "owner": {          "kind": "human",          "ref": "string"        },        "parent_task_id": "string",        "paused": true,        "paused_at": "2019-08-24T14:15:22Z",        "paused_by": "string",        "paused_by_task_id": "string",        "paused_reason": "string",        "priority": "low",        "profile_color": "string",        "profile_icon": "string",        "profile_id": "string",        "profile_name": "string",        "scope": "global",        "status": "draft",        "title": "string",        "updated_at": "2019-08-24T14:15:22Z",        "wake_creator": true,        "workspace_id": "string"      }    ],    "dependencies": [      {        "created_at": "2019-08-24T14:15:22Z",        "depends_on_task_id": "string",        "kind": "blocks",        "task_id": "string"      }    ],    "dependency_references": [      {        "created_at": "2019-08-24T14:15:22Z",        "depends_on": {          "effective_paused": true,          "id": "string",          "identifier": "string",          "latest_event_seq": 0,          "owner": {            "kind": "human",            "ref": "string"          },          "paused": true,          "paused_by_task_id": "string",          "priority": "low",          "scope": "global",          "status": "draft",          "title": "string",          "workspace_id": "string"        },        "depends_on_task_id": "string",        "kind": "blocks",        "task_id": "string"      }    ],    "designation_rollups": [      {        "created_at": "2019-08-24T14:15:22Z",        "designation_group_id": "string",        "summary": null,        "task_id": "string"      }    ],    "events": [      {        "actor": {          "kind": "human",          "ref": "string"        },        "event_type": "string",        "id": "string",        "origin": {          "kind": "cli",          "ref": "string"        },        "payload": null,        "run_id": "string",        "task_id": "string",        "timestamp": "2019-08-24T14:15:22Z"      }    ],    "runs": [      {        "attempt": 0,        "claim_token_hash": "string",        "claimed_at": "2019-08-24T14:15:22Z",        "claimed_by": {          "kind": "human",          "ref": "string"        },        "designation": {          "brief": "string",          "index": 0        },        "designation_group_id": "string",        "ended_at": "2019-08-24T14:15:22Z",        "error": "string",        "failure_kind": "string",        "heartbeat_at": "2019-08-24T14:15:22Z",        "id": "string",        "idempotency_key": "string",        "lease_until": "2019-08-24T14:15:22Z",        "metadata": null,        "origin": {          "kind": "cli",          "ref": "string"        },        "previous_run_id": "string",        "profile_color": "string",        "profile_icon": "string",        "profile_id": "string",        "profile_name": "string",        "queued_at": "2019-08-24T14:15:22Z",        "recovery_count": 0,        "resolved_worktree_mode": "none",        "resolved_worktree_ref": "string",        "result": null,        "result_bytes": 0,        "result_ref": "string",        "session_id": "string",        "started_at": "2019-08-24T14:15:22Z",        "status": "queued",        "task_id": "string",        "worktree_id": "string"      }    ],    "summary": {      "active_r
[...]
